Subject: Re: Request for merging "core-packages-team" branch

From: Andreas Enge <[email-masked]>
Date: Thu, 5 Jun 2025 17:55:59 +0200

Hello Yelninei,

Am Thu, Jun 05, 2025 at 04:14:17PM +0200 schrieb [email-masked]:
> It seems like the merge conflict I caused for hurd has been resolved incorrectly: hurd still has the "hurd-64bit.patch" that I removed when updating hurd for core-packages-team.

thanks for pointing out a mistake!

But I do not get it. Do you mean

commit 729b5a9bde18c06b1d62befc4f401a3aed11c84a
Author: Yelninei <[email-masked]>
Date:   Sun May 18 11:41:44 2025 +0100
    gnu: libxcrypt: Remove now unnecessary Hurd64 patch.
    * gnu/packages/crypto.scm (libxcrypt)[arguments]: Remove
    ‘apply-hurd64-patch’ phase.
    * gnu/packages/patches/libxcrypt-hurd64.patch: Remove.
    * gnu/local.mk (dist_patch_DATA): Remove it.
    Change-Id: Id98b268426ef22219e2bfc5041e7d7965c5f9275
?

This is the only merge conflict that I remember related to hurd.
And
   git show 729b5a9bde18c06b1d62befc4f401a3aed11c84a
and
   git show c2f95bf22849ae0a6f3a37d4d4cca54b799afc0f
(which I think is the head of the previous state of core-packages-team)
look just the same.

What did I overlook?

Andreas

PS:
> clisp is blocking linux-libre
Ah, that is super surprising!